Bug 119217 - UI: Document in use dialog contains unnecessary empty space
Summary: UI: Document in use dialog contains unnecessary empty space
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium trivial
Assignee: Roman Kuznetsov
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: Dialog-UX
  Show dependency treegraph
 
Reported: 2018-08-11 15:55 UTC by Telesto
Modified: 2018-12-16 17:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot (4.67 KB, image/png)
2018-08-11 15:55 UTC, Telesto
Details
printscreen from LO 6.2 (10.20 KB, image/png)
2018-08-16 19:52 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-08-11 15:55:23 UTC
Description:
UI: Document in use dialog contains unnecessary empty space

Steps to Reproduce:
1. Lock a file with a Libo version (non-master)
2. Open the same file also with Master

Actual Results:
Document in use dialog to large

Expected Results:
A bit smaller


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.2.0.0.alpha0+
Build ID: 1b21ff86effe58ae368457de8fec654ba4c8edd9
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-07-30_03:13:35
Locale: en-US (nl_NL); Calc: CL
Comment 1 Telesto 2018-08-11 15:55:56 UTC
Created attachment 144110 [details]
Screenshot
Comment 2 raal 2018-08-16 19:52:41 UTC
Created attachment 144243 [details]
printscreen from LO 6.2

printscreen from Version: 6.2.0.0.alpha0+ (x64)
Build ID: 215780a7eca23c1bfcde74958e10ae84ea12d506
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-08-15_22:56:00

new string is added ..
Comment 3 Xisco Faulí 2018-08-16 20:28:14 UTC
Could you please try to reproduce it with a master build from http://dev-builds.libreoffice.org/daily/master/ ?
You can install it alongside the standard version.
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the bug is still present in the master build
Comment 4 Telesto 2018-08-24 18:59:14 UTC
(In reply to raal from comment #2)
I still have the initial results..

Version: 6.2.0.0.alpha0+
Build ID: 414ef6cb187dd3bbcc917dbedf3c0c1cc8668f60
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-08-20_22:43:18
Locale: nl-NL (nl_NL); Calc: CL
Comment 5 Buovjaga 2018-09-20 08:53:06 UTC
Repro.

Weird that raal gets a different result. I also tried in Safe mode.

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 18c5089df091bddeb8c2dc339776671964389040
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-09-12_23:24:12
Locale: fi-FI (fi_FI); Calc: threaded
Comment 6 Mike Kaganski 2018-12-14 12:26:08 UTC
(In reply to Buovjaga from comment #5)
> Weird that raal gets a different result. I also tried in Safe mode.

No, it's normal. The last string is optional, and only added when LO detects that it may be possible to ignore the lockfile.
Comment 7 Commit Notification 2018-12-16 16:11:18 UTC
Roman Kuznetsov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/9bc346dc55bd62f68b8d943d522810b28d84b0dc%5E%21

tdf#119217  Deleting of unnecessary empty space in Document in use dialog

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.